;;; FG42 --- The mighty editor for the emacsians -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani <lxsameer@gnu.org>
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://gitlab.com/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:

;; Uncomment this line for debugging
;; (setq debug-on-error t)

(require 'fg42/flags)
(require 'cubes/fg42)

(defvar global-font-size 12)

(use-flags
 (fg42/merge-with-default-flags
  wm
  fg42/region-expansion-cube))


;TODO: Move this block to a macro or something ===========
(when-wm
 (setq global-font-size 8)
 (custom-set-faces
  '(mini-modeline-mode-line
    ((((background light))
      :background "#aa0000" :height 0.1 :box nil)
     (t
      :background "#6272a4" :height 0.1 :box nil))))
 (fg42/wm-cube :number-of-workspaces 9)

 ;; Uncomment the following section if need a easy way to control the resolution
 ;; Change the resolution and monitors to your need
 ;; (require 'fg42/x)
 ;; (setq fg42/monitors
 ;;   '(:hdmi-only
 ;;     ("--output HDMI-1 --primary"
 ;;      "--output eDP-1 --off")
 ;;     :hdmi-main
 ;;     ("--output HDMI-1 --primary"
 ;;      "--output eDP-1 --mode 1920x1080 --left-of HDMI-1")
 ;;     :edp-only
 ;;     ("--output eDP-1 --mode 1920x1080"
 ;;      "--output HDMI-1 --off")))
 ;; (comment
 ;;   ;; how to run it via elisp or just `M-x monitor'
 ;;   (monitor :hdmi-only))


 (use-flags
  (fg42/merge-with-default-flags
   wm
   -python
   -golang
   rcirc
   vterm
   -company
   -projectile
   -lsp
   -flycheck
   fg42/region-expansion-cube)))


(fg42/editor
 :fg42/cursor-cube '(:type 'bar :color "#bd93f9")
 :fg42/font-cube '(:font-name "Fira code" :font-size global-font-size))

(when (file-exists-p "~/.fg42.user.el")
  (load "~/.fg42.user.el"))

(provide '.fg42)
;;; .fg42.el ends here
