;;; FG42 --- The mighty editor for the emacsians -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(eval-when-compile
  (require 'fpkg))


(use! company
  "Company is a modular text completion framework for GNU Emacs."
  :commands global-company-mode
  :bind (:map company-active-map
              ("M-n" . company-select-next)
              ("M-p" . company-select-previous)
              ("TAB" . company-complete-common-or-cycle)
              ("M-d" . company-show-doc-buffer))
  :init
  ;; Use Company for completion
  (setq company-show-numbers t)
  (setq company-idle-delay 0)
  (setq company-tooltip-limit 20)
  (setq company-echo-delay 0)
  (setq company-tooltip-align-annotations t)
  (setq company-dabbrev-downcase nil)

  :config
  (bind-key [remap completion-at-point] #'company-complete company-mode-map))


(use! company-box
  "A company front-end with icons."
  :after company
  :hook (company-mode . company-box-mode))


(provide 'fg42/autocomplete)
;;; autocomplete.el ends here
