;;; FG42 --- The mighty editor for the emacsians -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani <lxsameer@gnu.org>
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:

(defgroup fg42 nil
  "Customize your FG42 instance via this group of configurations.")

(defvar fg42/after-init-hook nil
  "The hook tha runs when FG42 finished running the user configuration.")

(defvar fg42/debug-p nil
  "The hook tha runs when FG42 finished running the user configuration.")

(defvar fg42-config-dir (or (getenv "FG42_CONFIG_DIR") "~/.fg42")
  "Where to store installation specific data.")

(defvar fg42-home (getenv "FG42_HOME")
  "The pass to fg42-home.")


(defvar fg42-tmp (concat fg42-config-dir "/tmp"))


(provide 'fg42/core)
;;; core.el ends here
