;;; ClojureCubes --- The Clojure cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Pouya Abbassi <abbassi.pouya@gmail.com>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)
(require 'fg42/utils)

(autoload-cube 'fg42/clojure-init "clojure/core.el" "Initalize the Clojure mode.")

(defcube fg42/clojure-cube
  "Clojure support cube for fg42.
Installs and activates clojure-mode, cider, paredit and rainbow-delimiters.
Also activates LSP and converts `fn` to λ."
  :title "Clojure cube"
  :flag clojure
  :flag-default t

  (fpkg/use aggressive-indent
    :config (paredit-mode +1))

  (fg42/rainbow-delimiters-cube)

  (fpkg/use cider)

  (fpkg/use clojure-mode
    :hook (clojure-mode . fg42/clojure-init)
    :config (when-flag clojure
              (setq lsp-enable-indentation nil))))

(provide 'fg42/cubes/clojure)
;;; clojure.el ends here
