;;; ModelineCubes --- The modeline related cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)
(require 'fg42/cubes/iconspack)


(->cube noether
  "Smart mode line is a pretty simple yet fantastic alternative
to Emacs modeline."
  :straight (noether :repo "https://devheroes.codes/lxsameer/noether.git")
  :init
  (require 'noether)
  (require 'noether-views)
  (let ((views (or (plist-get fg42/noether-cube-params :views)
                   (list
                    noether-minimal-mode-line
                    noether-minimal-location
                    noether-minimal-exwm))))
    (setq noether-views views)
    (noether-global-mode)))


(provide 'fg42/cubes/noether)
;;; noether.el ends here
