;;; PythonCubes --- The Python cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)
(require 'fg42/utils)


(->cube verilog-mode
  "Add support for verilog and system verilog to FG42. More info at
https://www.veripool.org/verilog-mode/")

(->cube verilog-ext
  "This package provides useful extensions on top of `verilog-mode' and `verilog-ts-mode'."
  :hook ((verilog-mode . verilog-ext-mode))
  :init
  (setq verilog-ext-eglot-default-server 've-svls)
  (setq verilog-ext-feature-list
        '(font-lock
          xref
          capf
          hierarchy
          eglot
          lsp
          flycheck
          beautify
          navigation
          template
          formatter
          compilation
          imenu
          which-func
          hideshow
          typedefs
          time-stamp
          block-end-comments
          ports))
  :config
  (require 'pkg-info)
  (setq verilog-ext-eglot-default-server 've-svls)
  (setq verilog-ext-lsp-mode-default-server 've-svls)
  (verilog-ext-eglot-set-server 've-svls)
  (verilog-ext-lsp-set-server 've-svls)
  (verilog-ext-mode-setup))

(provide 'fg42/cubes/verilog )
;;; verilog.el ends here
