;;; FG42 --- The mighty editor for the emacsians  -*- lexical-binding: t; -*-
;;
;; Copyright (C) 2010-2024  Sameer Rahmani <lxsameer@gnu.org>
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; Keywords: lisp fg42 IDE package manager
;; Version: 1.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;; This file contains all the dependencies of FG42 v4 in no particular order.
;; Whether we use a package during runtime or not we will build everything
;; and decide what to load at runtime.
;;
;; We fetch these dependencies using Nix via the emacs-overlay.
;;
;;; Code:
(defmacro depends-on (&rest _)
  "Just a placeholder."
  nil)

(depends-on
 bm
 command-log-mode
 dockerfile-mode
 lsp-ltex
 dracula-theme
 lsp-julia
 flycheck-julia
 julia-formatter
 julia-repl
 julia-mode
 nix-mode
 noether-mode
 ednc
 idris-mode
 company-coq
 proof-general
 msgpack
 gdscript-mode
 meson-mode
 lsp-scheme
 clojure-mode
 cider
 aggressive-indent
 graphviz-dot-mode
 terraform-mode
 magit
 diff-hl
 rustic
 yasnippet
 yasnippet-snippets
 ninja-mode
 eldoc-cmake
 cmake-mode
 poetry
 lsp-pyright
 python-black
 lsp-java
 flycheck-gradle
 gradle-mode
 groovy-mode
 use-package
 vterm
 projectile-ripgrep
 go-mode
 company-box
 company
 lsp-ui
 lsp-mode
 yaml-mode
 flycheck
 expand-region
 eros
 org
 org-modern
 org-super-agenda
 org-ql
 ctrlf
 badwolf-theme
 ace-window
 avy
 paredit
 rainbow-delimiters
 exec-path-from-shell
 discover
 emojify
 alert
 imenu-list
 pinentry
 helpful
 which-key
 dirvish
 origami
 f
 projectile
 mini-modeline
 smart-mode-line
 all-the-icons
 exwm
 verilog-ext
 verilog-mode
 pkg-info
 envrc
 vertico
 orderless
 eglot
 marginalia
 nerd-icons
 forge
 svg-tag-mode
 base16-theme
 consult)

(provide 'fg42/deps)
;;; deps.el ends here
