;;; FG42 --- The mighty editor for the emacsians -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani <lxsameer@gnu.org>
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(eval-when-compile
  (require 'fpkg))

(use! emojify
  "Adds support for emojis to `FG42'"
  :if (display-graphic-p)
  :hook (emacs-startup . global-emojify-mode))

(use! all-the-icons
  "A utility package to collect various Icon Fonts and propertize them within
Emacs."
  :if (display-graphic-p))

(use! nerd-icons
  "A utility package to collect various Icon Fonts and propertize them within
Emacs."
  :if (display-graphic-p))


(use! svg-tag-mode
  "A minor mode to replace keywords or regular expression with SVG tags."
  :if (display-graphic-p)
  :commands global-svg-tag-mode
  :config
  (setq svg-tag-tags
        '(("\\(:[A-Z]+:\\)" . ((lambda (tag)
                                 (svg-tag-make tag :beg 1 :end -1))))
          (":TODO " . ((lambda (tag) (svg-tag-make tag)))))))


(provide 'fg42/graphics)
;;; graphics.el ends here
