;;; FG42 --- The mighty editor for the emacsians -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 4.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:

;; emacs --batch --eval=(require 'ox-texinfo) --eval=(find-file "README.org\") --eval=(org-texinfo-export-to-info)
(require ox-texinfo)

(org-texinfo-export-to-info)

(defun build-manual ()
  "Build FG42's manual."
  (interactive)
  (with-temp-buffer
    (find-file  (file-name-concat (expand-file-name fg42-home) "docs/fg42.org"))
    (org-texinfo-export-to-info)))


(defun fg42-manual ()
  "Show FG42's manual."
  (interactive)
  ;; TODO: move this to the init script
  (add-to-list 'Info-default-directory-list (file-name-concat (expand-file-name fg42-home) "docs/"))
  (info "(fg42)"))

(provide 'fg42/help)
;;; help.el ends here
